FROM python:3.10

ENV PIP_EXTRA_INDEX_URL=https://pypi.numerously.com/simple
ENV VIRTUAL_ENV=/opt/venv
RUN python3 -m venv $VIRTUAL_ENV
ENV PATH="$VIRTUAL_ENV/bin:$PATH"

ARG GITLAB_TOKEN
COPY tests/requirements.txt requirements.txt
RUN pip install -r requirements.txt

COPY README.md /app/.
COPY tests /app/tests
COPY src /app/src/.
COPY setup.py /app/.
WORKDIR app

RUN pip install -e .

WORKDIR /app/tests
RUN mkdir logs

# Set entry point
ENTRYPOINT ["/bin/bash", "./entrypoint.sh"]